Query Parameters
| Field | Type | Need | Description | Example |
|---|---|---|---|---|
”account” | string | required | Account address to filter orders | 42trU9A5… |
Response
- Status 200: Successfully retrieved open orders
| Field | Type | Description |
|---|---|---|
”order_id” | integer | Order id assigned to order |
”client_order_id” | UUID | CLOID of order if assigned by user |
”symbol” | string | Trading pair symbol |
”side” | string | Whether the order is a bid or an ask |
”price” | decimal string | Price set by the order |
”initial_amount” | decimal string | Amount (in token denomination) of the order placed |
”filled_amount” | decimal string | Amount (in token denomination) of the order placed that has been filled |
”cancelled_amount” | decimal string | Amount (in token denomination) of the order placed that has been cancelled |
”stop_price” | decimal string | Stop price assigned upon order creation for subsequent position if order is filled if specified by user. |
”order_type” | string | ”limit""market""stop_limit""stop_market""take_profit_limit""stop_loss_limit""take_profit_market""stop_loss_market" |
"stop_parent_order_id” | integer | Order id of stop order attached to original order |
”trigger_price_type” | string | Price type used to trigger stop orders (mark_price, last_trade_price, mid_price); defaults to last_trade_price |
”reduce_only” | boolean | If the order is reduce only |
”instrument_type” | string | Instrument type of the market |
”created_at” | integer | Timestamp in milliseconds when the order was created on Pacifica |
”updated_at” | integer | Timestamp in milliseconds when the order was last modified (by a fill) |
“last_order_id” | integer | Exchange-wide nonce. Used to reliably determine exchange event ordering. Sequential and not subject to clock drift. |
- Status 400: Invalid request parameters
- Status 401: Unauthorized access
- Status 500: Internal server error